> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 検索

この search エンドポイントは、Web 検索と Firecrawl のスクレイピング機能を組み合わせることで、あらゆるクエリに対してページ全体のコンテンツを返します。

各検索結果の Markdown 形式の完全なコンテンツを取得するには、`scrapeOptions` に `formats: [{"type": "markdown"}]` を指定してください。指定しない場合は、結果（url、title、description）がデフォルトで返されます。要約されたコンテンツが必要な場合は、`{"type": "summary"}` など他のフォーマットも使用できます。

<div id="supported-query-operators">
  ## サポートされているクエリ演算子
</div>

検索をより的確に絞り込むための各種クエリ演算子をサポートしています。

| 演算子           | 機能                        | 例                                 |
| ------------- | ------------------------- | --------------------------------- |
| `""`          | テキストを厳密一致で検索する            | `"Firecrawl"`                     |
| `-`           | 特定のキーワードを除外、または他の演算子を否定する | `-bad`, `-site:firecrawl.dev`     |
| `site:`       | 指定したサイトの結果のみを返す           | `site:firecrawl.dev`              |
| `filetype:`   | 特定のファイル拡張子を持つ結果のみを返す      | `filetype:pdf`, `-filetype:pdf`   |
| `inurl:`      | URL に特定の語を含む結果のみを返す       | `inurl:firecrawl`                 |
| `allinurl:`   | URL に複数の語を含む結果のみを返す       | `allinurl:git firecrawl`          |
| `intitle:`    | ページタイトルに特定の語を含む結果のみを返す    | `intitle:Firecrawl`               |
| `allintitle:` | ページタイトルに複数の語を含む結果のみを返す    | `allintitle:firecrawl playground` |
| `related:`    | 特定のドメインに関連する結果のみを返す       | `related:firecrawl.dev`           |
| `imagesize:`  | 指定した寸法と完全一致の画像のみを返す       | `imagesize:1920x1080`             |
| `larger:`     | 指定した寸法より大きい画像のみを返す        | `larger:1920x1080`                |

<div id="location-parameter">
  ## Location パラメータ
</div>

`location` パラメータで地域ターゲットの検索結果を取得します。形式: `"string"`。例: `"Germany"`、`"San Francisco,California,United States"`。

利用可能な国と言語の一覧は、[サポート対象ロケーションの全リスト](https://firecrawl.dev/search_locations.json)をご覧ください。

<div id="country-parameter">
  ## Country パラメータ
</div>

`country` パラメータで、ISO の国コードを用いて検索結果の対象国を指定します。既定値: `"US"`。

例: `"US"`, `"DE"`, `"FR"`, `"JP"`, `"UK"`, `"CA"`。

```json theme={null}
{
  "query": "レストラン",
  "country": "DE"
}
```

<div id="categories-parameter">
  ## Categories パラメータ
</div>

`categories` パラメータで、特定のカテゴリに検索結果を絞り込みます：

* **`github`**: GitHub のリポジトリ、コード、Issue、ドキュメントを検索
* **`research`**: 学術系・研究系のウェブサイト（arXiv、Nature、IEEE、PubMed など）を検索
* **`pdf`**: PDF を検索

<div id="example-usage">
  ### 使い方の例
</div>

```json theme={null}
{
  "query": "機械学習",
  "categories": ["github", "research"],
  "limit": 10
}
```

<div id="category-response">
  ### カテゴリレスポンス
</div>

各結果には、どのソースからのものかを示す `category` フィールドが含まれます。

```json theme={null}
{
  "success": true,
  "data": {
    "web": [
      {
        "url": "https://github.com/example/ml-project",
        "title": "Machine Learning Project",
        "description": "Implementation of ML algorithms",
        "category": "github"
      },
      {
        "url": "https://arxiv.org/abs/2024.12345",
        "title": "ML Research Paper",
        "description": "Latest advances in machine learning",
        "category": "research"
      }
    ]
  }
}
```

<div id="time-based-search">
  ## 時間ベースの検索
</div>

`tbs` パラメータを使うと、カスタム日付範囲を含む特定の期間で検索結果をフィルタリングできます。詳細な例とサポートされているフォーマットについては、[Search 機能のドキュメント](https://docs.firecrawl.dev/features/search#time-based-search)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json post /search
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /search:
    post:
      tags:
        - Search
      summary: 検索し、必要に応じて検索結果をスクレイピングする
      operationId: searchAndScrape
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  description: 検索クエリ
                limit:
                  type: integer
                  description: 返す結果の最大数
                  default: 5
                  maximum: 100
                  minimum: 1
                sources:
                  type: array
                  items:
                    oneOf:
                      - type: object
                        title: Web
                        properties:
                          type:
                            type: string
                            enum:
                              - web
                          tbs:
                            type: string
                            description: >-
                              時間ベースの検索パラメータで、あらかじめ定義された期間（`qdr:h`, `qdr:d`,
                              `qdr:w`, `qdr:m`,
                              `qdr:y`）、カスタム日付範囲（`cdr:1,cd_min:MM/DD/YYYY,cd_max:MM/DD/YYYY`）、日付順でのソート（`sbd:1`）をサポートします。値は組み合わせて指定できます（例:
                              `sbd:1,qdr:w`）。
                          location:
                            type: string
                            description: 検索結果用の Location パラメータ
                        required:
                          - type
                      - type: object
                        title: Images
                        properties:
                          type:
                            type: string
                            enum:
                              - images
                        required:
                          - type
                      - type: object
                        title: News
                        properties:
                          type:
                            type: string
                            enum:
                              - news
                        required:
                          - type
                  description: 検索対象とするソース。レスポンスに含まれる配列の種類を決定します。デフォルトは ['web'] です。
                  default:
                    - web
                categories:
                  type: array
                  items:
                    oneOf:
                      - type: object
                        title: GitHub
                        properties:
                          type:
                            type: string
                            enum:
                              - github
                        required:
                          - type
                      - type: object
                        title: Research
                        properties:
                          type:
                            type: string
                            enum:
                              - research
                        required:
                          - type
                      - type: object
                        title: PDF
                        properties:
                          type:
                            type: string
                            enum:
                              - pdf
                        required:
                          - type
                  description: >-
                    結果をカテゴリでフィルタリングするための指定。デフォルト値は []
                    で、この場合はカテゴリによるフィルタリングは行われません。
                tbs:
                  type: string
                  description: >-
                    時間ベースの検索パラメータで、あらかじめ定義された期間（`qdr:h`, `qdr:d`, `qdr:w`,
                    `qdr:m`,
                    `qdr:y`）、カスタム日付範囲（`cdr:1,cd_min:MM/DD/YYYY,cd_max:MM/DD/YYYY`）、日付順でのソート（`sbd:1`）をサポートします。値は組み合わせて指定できます（例:
                    `sbd:1,qdr:w`）。
                location:
                  type: string
                  description: >-
                    検索結果のロケーションを指定するパラメータ（例: `San Francisco,California,United
                    States`）。最適な結果を得るには、このパラメータと `country` パラメータの両方を設定してください。
                country:
                  type: string
                  description: >-
                    検索結果のジオターゲティングに使用する ISO 国コード（例：`US`）。最適な結果を得るには、これと
                    `location` パラメータの両方を設定してください。
                  default: US
                timeout:
                  type: integer
                  description: タイムアウト時間（ミリ秒）
                  default: 60000
                ignoreInvalidURLs:
                  type: boolean
                  description: >-
                    他の Firecrawl エンドポイントでは無効となる URL
                    を検索結果から除外します。これにより、検索から取得したデータを他の Firecrawl API
                    エンドポイントに渡す際のエラーを減らせます。
                  default: false
                scrapeOptions:
                  allOf:
                    - $ref: '#/components/schemas/ScrapeOptions'
                  description: 検索結果をスクレイピングする際のオプション
                  default: {}
              required:
                - query
      responses:
        '200':
          description: 成功時のレスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      web:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: 検索結果のタイトル
                            description:
                              type: string
                              description: 検索結果の説明文
                            url:
                              type: string
                              description: 検索結果のURL
                            markdown:
                              type: string
                              nullable: true
                              description: スクレイピングをリクエストした場合の Markdown コンテンツ
                            html:
                              type: string
                              nullable: true
                              description: フォーマットで指定された場合の HTML コンテンツ
                            rawHtml:
                              type: string
                              nullable: true
                              description: フォーマットで指定された場合の生のHTMLコンテンツ
                            links:
                              type: array
                              items:
                                type: string
                              description: フォーマットで links を指定した場合に取得されるリンク
                            screenshot:
                              type: string
                              nullable: true
                              description: >-
                                フォーマットでスクリーンショットが指定されている場合の、スクリーンショットのURLです。スクリーンショットは24時間後に失効し、それ以降はダウンロードできません。
                            metadata:
                              type: object
                              properties:
                                title:
                                  type: string
                                description:
                                  type: string
                                sourceURL:
                                  type: string
                                  description: >-
                                    リクエストされた元の URL。リダイレクトが発生した場合、ページの最終的な URL
                                    と異なることがあります。
                                url:
                                  type: string
                                  description: すべてのリダイレクトをフォローした後の、ページの最終的な URL。
                                statusCode:
                                  type: integer
                                error:
                                  type: string
                                  nullable: true
                      images:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: 検索結果のタイトル
                            imageUrl:
                              type: string
                              description: 画像URL
                            imageWidth:
                              type: integer
                              description: 画像の幅
                            imageHeight:
                              type: integer
                              description: 画像の高さ
                            url:
                              type: string
                              description: 検索結果のURL
                            position:
                              type: integer
                              description: 検索結果の位置
                      news:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: 記事タイトル
                            snippet:
                              type: string
                              description: 記事からの抜粋
                            url:
                              type: string
                              description: 記事のURL
                            date:
                              type: string
                              description: 記事の公開日
                            imageUrl:
                              type: string
                              description: 記事画像のURL
                            position:
                              type: integer
                              description: 記事の位置
                            markdown:
                              type: string
                              nullable: true
                              description: スクレイピングをリクエストした場合の Markdown コンテンツ
                            html:
                              type: string
                              nullable: true
                              description: フォーマットとしてリクエストされた場合のHTMLコンテンツ
                            rawHtml:
                              type: string
                              nullable: true
                              description: フォーマットで指定された場合の生の HTML コンテンツ
                            links:
                              type: array
                              items:
                                type: string
                              description: フォーマットでのリクエスト時に検出されたリンク
                            screenshot:
                              type: string
                              nullable: true
                              description: >-
                                フォーマットでスクリーンショットが要求された場合のスクリーンショットURL。スクリーンショットは24時間後に有効期限が切れ、それ以降はダウンロードできません。
                            metadata:
                              type: object
                              properties:
                                title:
                                  type: string
                                description:
                                  type: string
                                sourceURL:
                                  type: string
                                  description: >-
                                    リクエストされた元の URL。リダイレクトが発生した場合、ページの最終的な URL
                                    と異なることがあります。
                                url:
                                  type: string
                                  description: すべてのリダイレクトをフォローした後の、ページの最終的な URL。
                                statusCode:
                                  type: integer
                                error:
                                  type: string
                                  nullable: true
                    description: >-
                      検索結果。利用可能な配列は、リクエストで指定したソースに応じて変わります。デフォルトでは `web`
                      配列が返されます。
                  warning:
                    type: string
                    nullable: true
                    description: 何らかの問題が発生した場合の警告メッセージ
                  id:
                    type: string
                    description: 検索ジョブのID
                  creditsUsed:
                    type: integer
                    description: 検索で使用されたクレジット数
        '408':
          description: リクエストのタイムアウト
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Request timed out
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  code:
                    type: string
                    example: UNKNOWN_ERROR
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    ScrapeOptions:
      type: object
      properties:
        formats:
          $ref: '#/components/schemas/Formats'
        onlyMainContent:
          type: boolean
          description: ヘッダーやナビゲーション、フッターなどを除外し、ページのメインコンテンツのみを返します。
          default: true
        includeTags:
          type: array
          items:
            type: string
          description: 出力に含めるタグ。
        excludeTags:
          type: array
          items:
            type: string
          description: 出力結果から除外するタグ。
        maxAge:
          type: integer
          description: >-
            ページのキャッシュが、この値（ミリ秒）で指定した有効期間より新しい場合は、そのキャッシュ版を返します。キャッシュがこの値より古い場合は、新たにページのスクレイピングを行います。極めて最新のデータが不要であれば、これを有効にすることでスクレイピングを最大500%高速化できます。デフォルトは2日です。
          default: 172800000
        headers:
          type: object
          description: リクエストに含めるヘッダー。Cookie や User-Agent などを送信するために使用できます。
        waitFor:
          type: integer
          description: >-
            コンテンツを取得する前に待機する時間をミリ秒単位で指定します。ページが十分に読み込まれるまでの時間を確保するための遅延です。この待機時間は、Firecrawl
            のスマート待機機能に加えて発生します。
          default: 0
        mobile:
          type: boolean
          description: >-
            モバイル端末からのスクレイピングをエミュレートしたい場合は、true
            に設定します。レスポンシブページのテストやモバイル向けスクリーンショットの取得に便利です。
          default: false
        skipTlsVerification:
          type: boolean
          description: リクエストを送信する際に TLS 証明書の検証を行わないようにします。
          default: true
        timeout:
          type: integer
          description: リクエストのタイムアウト（ミリ秒単位）。デフォルトは 30000 ミリ秒（30 秒）、上限は 300000 ミリ秒（300 秒）です。
          default: 30000
          maximum: 300000
        parsers:
          type: array
          description: >-
            スクレイピング時のファイルの処理方法を制御します。"pdf" が含まれている場合（デフォルト）、PDF の内容が抽出されて
            markdown 形式に変換され、課金はページ数に基づきます（1ページあたり1クレジット）。空の配列を渡した場合、PDF ファイルは
            base64 エンコード形式で返され、PDF 全体で一律1クレジットが請求されます。
          items:
            oneOf:
              - type: object
                properties:
                  type:
                    type: string
                    enum:
                      - pdf
                  mode:
                    type: string
                    enum:
                      - fast
                      - auto
                      - ocr
                    default: auto
                    description: >-
                      PDF
                      の解析モード。"fast"：テキストベースの抽出のみ（埋め込みテキストのみを対象とし、最速）。"auto"（デフォルト）：まず
                      fast で抽出を試し、必要に応じて OCR にフォールバックします。"ocr"：すべてのページで必ず OCR
                      解析を実行します。
                  maxPages:
                    type: integer
                    minimum: 1
                    maximum: 10000
                    description: PDF から解析するページの最大数です。1〜10000 の正の整数で指定してください。
                required:
                  - type
                additionalProperties: false
          default:
            - pdf
        actions:
          type: array
          description: コンテンツを取得する前にページに対して実行するアクション
          items:
            oneOf:
              - title: Wait
                oneOf:
                  - type: object
                    title: Wait by Duration
                    properties:
                      type:
                        type: string
                        enum:
                          - wait
                        description: 指定したミリ秒数だけ待機します
                      milliseconds:
                        type: integer
                        minimum: 1
                        description: 待機する時間（ミリ秒）
                    required:
                      - type
                      - milliseconds
                    additionalProperties: false
                  - type: object
                    title: Wait for Element
                    properties:
                      type:
                        type: string
                        enum:
                          - wait
                        description: 特定の要素が表示されるまで待機します
                      selector:
                        type: string
                        description: 対象要素のCSSセレクター
                        example: '#my-element'
                    required:
                      - type
                      - selector
                    additionalProperties: false
              - type: object
                title: Screenshot
                properties:
                  type:
                    type: string
                    enum:
                      - screenshot
                    description: >-
                      スクリーンショットを撮影します。リンクはレスポンスの `actions.screenshots`
                      配列内に含まれます。
                  fullPage:
                    type: boolean
                    description: >-
                      ページ全体のスクリーンショットを取得するか（その場合は viewport.height
                      を無視）、または現在のビューポート範囲内のスクリーンショットにするかを指定します。
                    default: false
                  quality:
                    type: integer
                    description: スクリーンショットの画質を1〜100で指定します。100が最高画質です。
                  viewport:
                    type: object
                    properties:
                      width:
                        type: integer
                        description: ビューポートの幅（ピクセル単位）
                      height:
                        type: integer
                        description: ビューポートの高さ（ピクセル単位）
                    required:
                      - width
                      - height
                required:
                  - type
              - type: object
                title: Click
                properties:
                  type:
                    type: string
                    enum:
                      - click
                    description: 要素をクリック
                  selector:
                    type: string
                    description: 要素を検索するためのクエリセレクタ
                    example: '#load-more-button'
                  all:
                    type: boolean
                    description: >-
                      セレクターに一致したすべての要素をクリックし、最初の要素だけを対象とするわけではありません。セレクターに一致する要素が存在しない場合でも、エラーは発生しません。
                    default: false
                required:
                  - type
                  - selector
              - type: object
                title: Write text
                properties:
                  type:
                    type: string
                    enum:
                      - write
                    description: >-
                      入力フィールド、テキストエリア、または contenteditable 要素にテキストを書き込みます。注意:
                      テキストを書き込む前に、必ず 'click'
                      アクションでその要素にフォーカスしてください。テキストはキーボード入力をシミュレートするため、1文字ずつタイプされます。
                  text:
                    type: string
                    description: 入力テキスト
                    example: Hello, world!
                required:
                  - type
                  - text
              - type: object
                title: Press a key
                description: >-
                  このページでキーを押してください。キーコードについては
                  https://asawicki.info/nosense/doc/devices/keyboard/key_codes.html
                  を参照してください。
                properties:
                  type:
                    type: string
                    enum:
                      - press
                    description: このページでキーを押してください
                  key:
                    type: string
                    description: 押すキー
                    example: Enter
                required:
                  - type
                  - key
              - type: object
                title: Scroll
                properties:
                  type:
                    type: string
                    enum:
                      - scroll
                    description: ページまたは特定の要素をスクロールする
                  direction:
                    type: string
                    enum:
                      - up
                      - down
                    description: スクロール方向
                    default: down
                  selector:
                    type: string
                    description: スクロールする要素を指定するクエリセレクター
                    example: '#my-element'
                required:
                  - type
              - type: object
                title: Scrape
                properties:
                  type:
                    type: string
                    enum:
                      - scrape
                    description: 現在のページのコンテンツを取得し、URL と HTML を返します。
                required:
                  - type
              - type: object
                title: Execute JavaScript
                properties:
                  type:
                    type: string
                    enum:
                      - executeJavascript
                    description: ページ上でJavaScriptコードを実行する
                  script:
                    type: string
                    description: 実行する JavaScript コード
                    example: document.querySelector('.button').click();
                required:
                  - type
                  - script
              - type: object
                title: Generate PDF
                properties:
                  type:
                    type: string
                    enum:
                      - pdf
                    description: >-
                      現在のページのPDFを生成します。生成されたPDFは、レスポンスの `actions.pdfs`
                      配列内で返されます。
                  format:
                    type: string
                    enum:
                      - A0
                      - A1
                      - A2
                      - A3
                      - A4
                      - A5
                      - A6
                      - Letter
                      - Legal
                      - Tabloid
                      - Ledger
                    description: 出力されるPDFのページサイズ
                    default: Letter
                  landscape:
                    type: boolean
                    description: PDF を横向きで生成するかどうかを指定します
                    default: false
                  scale:
                    type: number
                    description: 生成されるPDFの拡大縮小倍率
                    default: 1
                required:
                  - type
        location:
          type: object
          description: >-
            リクエストのロケーション設定です。指定すると、利用可能な場合は適切なプロキシが使用され、対応する言語およびタイムゾーン設定がエミュレートされます。指定されていない場合は、デフォルトで「US」が使用されます。
          properties:
            country:
              type: string
              description: ISO 3166-1 alpha-2 国コード（例：'US'、'AU'、'DE'、'JP'）
              pattern: ^[A-Z]{2}$
              default: US
            languages:
              type: array
              description: >-
                リクエストに対して優先順で指定する言語とロケール。デフォルトは、指定された location の言語になります。詳しくは
                https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language
                を参照してください。
              items:
                type: string
                example: en-US
        removeBase64Images:
          type: boolean
          description: >-
            出力からすべての Base64 画像を削除します。これらは非常に長くなる場合があります。画像の alt
            テキストは出力内に残りますが、URL はプレースホルダーに置き換えられます。
          default: true
        blockAds:
          type: boolean
          description: 広告およびCookie同意ポップアップのブロックを有効化します。
          default: true
        proxy:
          type: string
          enum:
            - basic
            - enhanced
            - auto
          description: |-
            使用するプロキシの種類を指定します。

             - **basic**: ボット対策がない、または基本的なボット対策のみを行っているサイト向けのプロキシです。高速で、多くのケースではこれで十分です。
             - **enhanced**: 高度なボット対策を行っているサイト向けの強化プロキシです。basic よりは遅くなりますが、一部のサイトではより高い成功率が期待できます。1 リクエストあたり最大 5 クレジット消費します。
             - **auto**: basic プロキシでのスクレイピングに失敗した場合、Firecrawl が自動的に enhanced プロキシで再試行します。enhanced での再試行が成功した場合、そのスクレイプには 5 クレジットが課金されます。最初の basic で成功した場合は、通常のコストのみが課金されます。
          default: auto
        storeInCache:
          type: boolean
          description: >-
            true の場合、そのページは Firecrawl
            のインデックスおよびキャッシュに保存されます。スクレイピング活動でデータ保護上の懸念が生じる可能性がある場合は、これを false
            に設定すると有用です。機密性の高いスクレイピングに関連する一部のパラメータ（例:
            actions、headers）を使用すると、このパラメータは強制的に false になります。
          default: true
    Formats:
      type: array
      items:
        oneOf:
          - type: object
            title: Markdown
            properties:
              type:
                type: string
                enum:
                  - markdown
            required:
              - type
          - type: object
            title: Summary
            properties:
              type:
                type: string
                enum:
                  - summary
            required:
              - type
          - type: object
            title: HTML
            properties:
              type:
                type: string
                enum:
                  - html
            required:
              - type
          - type: object
            title: Raw HTML
            properties:
              type:
                type: string
                enum:
                  - rawHtml
            required:
              - type
          - type: object
            title: Links
            properties:
              type:
                type: string
                enum:
                  - links
            required:
              - type
          - type: object
            title: Images
            properties:
              type:
                type: string
                enum:
                  - images
            required:
              - type
          - type: object
            title: Screenshot
            properties:
              type:
                type: string
                enum:
                  - screenshot
              fullPage:
                type: boolean
                description: >-
                  ページ全体のスクリーンショットを取得するか（その場合は viewport.height
                  を無視）、または現在のビューポート範囲内のスクリーンショットにするかを指定します。
                default: false
              quality:
                type: integer
                description: スクリーンショットの画質を1〜100で指定します。100が最高画質です。
              viewport:
                type: object
                properties:
                  width:
                    type: integer
                    description: ビューポートの幅（ピクセル単位）
                  height:
                    type: integer
                    description: ビューポートの高さ（ピクセル単位）
                required:
                  - width
                  - height
            required:
              - type
          - type: object
            title: JSON
            properties:
              type:
                type: string
                enum:
                  - json
              schema:
                type: object
                description: >-
                  JSON出力用のスキーマ。[JSON Schema](https://json-schema.org/)
                  に準拠している必要があります。
              prompt:
                type: string
                description: JSON出力用プロンプト
            required:
              - type
          - type: object
            title: Change Tracking
            properties:
              type:
                type: string
                enum:
                  - changeTracking
              modes:
                type: array
                items:
                  type: string
                  enum:
                    - git-diff
                    - json
                description: >-
                  変更追跡に使用するモードです。'git-diff' は詳細な差分を表示し、'json' は抽出した JSON
                  データを比較します。
              schema:
                type: object
                description: >-
                  「json」モードでのJSON抽出用スキーマです。抽出および比較するデータの構造を定義します。[JSON
                  Schema](https://json-schema.org/) に準拠する必要があります。
              prompt:
                type: string
                description: json モードで変更追跡を行う際に使用するプロンプトです。指定しない場合はデフォルトのプロンプトが使用されます。
              tag:
                type: string
                nullable: true
                default: null
                description: >-
                  変更追跡に使用するタグ。タグを使うことで、変更追跡の履歴を個別の「ブランチ」に分割できます。特定のタグを指定した場合、そのタグに対する変更追跡は、同じタグで実行されたスクレイプとのみ比較されます。指定しない場合は、デフォルトタグ（null）が使用されます。
            required:
              - type
          - type: object
            title: Branding
            properties:
              type:
                type: string
                enum:
                  - branding
            required:
              - type
      description: >-
        レスポンスに含める出力フォーマットを指定します。1つ以上のフォーマットを、文字列（例:
        `'markdown'`）または追加オプションを含むオブジェクト（例: `{ type: 'json', schema: {...}
        }`）として指定できます。一部のフォーマットでは、特定のオプションの設定が必須です。例: `['markdown', { type:
        'json', schema: {...} }]`。
      default:
        - markdown
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````